首页新闻找找看学习计划

eclipse type mismatch

0
悬赏园豆:10 [已解决问题] 解决于 2018-07-17 17:10

在eclipse里面报错:

Type mismatch: cannot convert from List<Object> to List<Map<String,Object>>

1 quick fix:

change type of 'list' to 'List<Object>'

相同的代码在idea里面是没问题的,奇怪的是有些版本的eclipse上也是不报错的...求大神,怎么破,在线等大神 

OSManager的主页 OSManager | 初学一级 | 园豆:10
提问于:2018-06-04 13:08
< >
分享
最佳答案
0

大概是某些版本的eclipse对jdk新特性支持不好吧
换个版本, 要么就装插件支持

收获园豆:10
、熙和 | 小虾三级 |园豆:1486 | 2018-06-04 13:58
其他回答(2)
0

java里不支持协变,这种表达在Scala里可以支持,在Java里应该是会报错的

阅尽天涯离恨苦 | 园豆:204 (菜鸟二级) | 2018-06-04 13:29
0
ycyzharry | 园豆:18642 (专家六级) | 2018-06-04 18:45

这个答案我早上试过了 没用

支持(0) 反对(0) OSManager | 园豆:10 (初学一级) | 2018-06-04 19:54
清除回答草稿
   您需要登录以后才能回答,未注册用户请先注册